%define mesaver 	CVS
%define glxver 		20000116
%define mesadate	20000116
%define glxdir		glx
%define glxroot		$RPM_BUILD_DIR/glx

Name:		glxMesa
Summary:	Accelerated OpenGL drivers for MGA, TNT, I810, Mach64 and S3Virge chipsets
Version:	3.2
Release:	0.3
Copyright:	GPL/XFree86
Group:	User Interface/X Hardware Support	
Requires:	XFree86 >= 3.3.3
BuildRoot:	/var/tmp/glxMesa-%{glxver}-%{pkgrel}-root
Source0:	ftp://ftp.mesa3d.org/pub/glx/snap/glx-SNAP-%{glxver}.tar.gz
Source1:	ftp://ftp.mesa3d.org/mesa/beta/Mesa%{mesaver}-%{mesadate}.tar.gz
Patch:		glxMesa-nox86.patch
Obsoletes:	Mesa
Provides:	Mesa = %{version}
URL:		http://www.mesa3d.org/

%description
This is an implementation of the Mesa 3-D library and GLX.  GLX was developed
by SGI to integrate OpenGL with X11.  This allows the Mesa 3-D library to
perform its 3-D rendering functions within the X server's process, rather than
within the X client program.  This offers potential performance benefits,
because the rendered image does not have to be moved from the X client program
to the X server.  (Only the commands required to render the image are sent.)
It also makes 3-D hardware acceleration much more practical (and fast).  This
package includes a hardware accelerated driver for video cards based on the
Matrox G200 and G400, Intel i810, Riva TNT, ATI Mach64 and S3 Virge chipsets.

The Mesa 3-D graphics library is a powerful and generic toolset for creating
hardware assisted computer graphics.  To the extent that Mesa utilizes the
OpenGL command syntax or state machine, it is being used with authorization
from Silicon Graphics, Inc.  However, the author (Brian Paul) makes no claim
that Mesa is in any way a compatible replacement for OpenGL or associated with
Silicon Graphics, Inc. Those who want a licensed implementation of OpenGL
should contact a licensed vendor.  However, Mesa is very similar to OpenGL, and
you might find Mesa to be a valid alternative to OpenGL.

This package is based on Mesa %{mesaver}-%{glxver}.

%prep
%setup -q -n %{glxdir} -a 1
%patch -p1

%build
FLAGS="`echo $RPM_OPT_FLAGS |sed -e s/-m486//` -DI810_DEBUG=0" # glxMesa doesn't like -m486

libtoolize --copy --force
%ifarch i686
	CFLAGS="$FLAGS" ./autogen.sh \
		--with-mesa=%{glxroot}/Mesa \
		--sysconfdir=/etc \
		--enable-hw-accel \
		--with-x86-asm --with-mmx-asm \
		--with-3dnow-asm --enable-pmesa --enable-mtrr \
		--with-chipset=all \
		--enable-extra %{_target_platform}
%else
%ifarch i386 i486 i586
	CFLAGS="$FLAGS" ./autogen.sh \
		--with-mesa=%{glxroot}/Mesa \
		--sysconfdir=/etc \
		--enable-hw-accel \
		--with-x86-asm --without-mmx-asm \
		--without-3dnow-asm --disable-pmesa --disable-mtrr \
		--with-chipset=all \
		--enable-extra %{_target_platform}
%else
	CFLAGS="$FLAGS" ./autogen.sh --with-mesa=%{glxroot}/Mesa \
		--sysconfdir=/etc \
		--enable-hw-accel \
		--enable-extra --without-x86-asm \
		--without-3dnow-asm --without-mmx-asm \
		--with-chipset=all \
		%{_target_platform}
%endif
%endif
make
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/modules $RPM_BUILD_ROOT/etc/X11
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
	sysconfdir=$RPM_BUILD_ROOT/etc install


%install

%files
%defattr(-,root,root)
%config /etc/X11/glx.conf
%doc Bugs-ToDo CHANGELOG HISTORY New-Bugs docs/faq.sgml docs/direct.txt
%doc docs/render_buffer_interface.txt docs/X_dma_hack.txt docs/memory-usage.sgml
%doc Mesa/docs/CONFIG Mesa/docs/CONFORM Mesa/docs/COPYING Mesa/docs/COPYRIGHT
%doc Mesa/docs/DEVINFO Mesa/docs/README Mesa/docs/QUAKE Mesa/docs/README.THREADS
%doc Mesa/docs/README.X11 Mesa/docs/RELNOTES Mesa/docs/VERSIONS
/usr/X11R6/lib/lib*
/usr/X11R6/lib/modules/*

%post
if [ -e /etc/X11/XF86Config ]; then
	if ! grep "glx\.so" /etc/X11/XF86Config &>/dev/null; then
		echo >>/etc/X11/XF86Config <<EOF
Section "Module"
	load "glx.so"
EndSection
EOF
	fi
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/glxMesa*.files

%changelog
* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- add ldconfig to %post, %postun

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- fixed group, was not in a valid group

* Sun Jan 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix package dependencies - we can't provide and conflict with Mesa
  at the same time. :/
- Update to current CVS - this finally lets us compile support for all
  chipsets into the same package.
- add docs

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the breakage caused by yesterday's changes
- split soure RPM into software and hardware-related parts.

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build support for all chipsets (including non-accelerated)
  no i810 support for now - that would require kernel changes.

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New snapshot (20000111), adding support for the
  i810 chipset and fixing up ATI.

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- fix build so it doesn't set -march needlessly

* Wed Dec 15 1999 Bill Nottingham <notting@redhat.com>
- fix sparc

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86 platforms
- Split in glxMesa and glxMesa-devel
- add download location to Source: fields
- handle RPM_OPT_FLAGS

* Fri Dec 03 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux, changed glx.conf installation directory

* Sat Oct 23 1999 Ryan Drake <rdrake@matrox.com>
- Removed --without-mmx-asm

* Thu Jun 17 1999 Ryan Skadberg <skadz@mindstorm.com>
- Updated to Mesa3.1beta2
- Used configure script, so we get 3DNow support if available

* Mon May 31 1999 Ian Pilcher <pilcher@concentric.net>
- Added %post & %preun scripts, telling the user to edit XF86Config

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- Created SPEC file template for scripted builds

* Mon May 24 1999 Ian Pilcher <pilcher@concentric.net>
- XFree86 headers now included in GLX tree; useful SRPM now possible
- package release no longer reflects Red Hat version

* Wed May 19 1999 Ian Pilcher <pilcher@concentric.net>
- fixed problem of sed reading & writing Config simultaneously

* Tue May 18 1999 Ian Pilcher <pilcher@concentric.net>
- initial SPEC file; doesn't do anything fancy

